public class CChaff extends CAmmo
{
  public static final int MAX_AGE = 17;
  
  public CChaff(CWorld world, Vector pos, Vector vel, Vector acc)
  {
    super(world, pos, vel, acc);
  }
  
  public void update()
  {
    super.update();
    if(vel.y() < -2)
    {
      die();
    }
  }

  public void createExplosion()
  {
    world.addThing(new CExplosion(world, pos, new Vector(), new Vector()));
  }
  
  public void die()
  {
    createExplosion();
    world.removeThing(this);
  }
}