import java.awt.*;

public class CExplosion extends CGameObject
{
  private int radius;
  public static final int MAX_AGE = 12;
  
  public CExplosion(CWorld world, Vector pos, Vector vel, Vector acc)
  {
    super(world, pos, vel, acc);
    radius = 0;
  }
  
  public int getRadius()
  {
    return radius;
  }
  
  public void update()
  {
    age++;
    radius += 4;
    if(age > MAX_AGE)
      die();
  }
  
  public void draw(Graphics g)
  {
    g.setColor(Color.YELLOW);
    g.fillOval((int)pos.x()-radius, (int)(world.getHeight()-pos.y())-radius, 2*radius, 2*radius); 
  }
}