import java.awt.*;

public class CKillable extends CGameObject
{
  protected int health;
  protected Rectangle hitBox;
  
  public CKillable(CWorld world, Vector pos, Vector vel, Vector acc)
  {
    super(world, pos, vel, acc);
  }
      
  public void takeDamage(int damage)
  {
    health -= damage;
    if(health <= 0)
      die();
  }
  
  public void update()
  {
    super.update();
    hitBox.setLocation((int)pos.x()-hitBox.width/2, (int)pos.y()-hitBox.height/2);
  }
  
  public Rectangle getRect()
  {
    return hitBox;
  }
}