public class CRocketWeapon extends CWeapon
{
  public static final int HEAT = 8;
  
  public CRocketWeapon(CWorld world, Vector pos, Vector vel, Vector acc)
  {
    super(world, pos, vel, acc);
    ammoLeft = 100;
  }
  
  public void fire(Vector aim)
  {
    Vector dir = new Vector(aim.unitVector());
    //dir.scale(0.95);
    if(coolDown > 0) return;
    world.addThing(new CRocket(world, pos, new Vector(), dir));
    coolDown += HEAT;
    ammoLeft--;
  }
}