import java.awt.*;
import java.applet.*;
import javax.swing.*;

/** JFrame for bunker command
 * 
 * @author Eric Choi
 * */

public class BunkerCommand extends JApplet implements Runnable
{
  CWorld world;
  public BunkerCommand()
  {
    Toolkit tk = Toolkit.getDefaultToolkit();
    JFrame frame = new JFrame("Bunker Command");
    frame.setResizable(false);
    
    // Create a world
    world = new CWorld(new Dimension(1000, 600));
    world.setFocusable(true);
    world.requestFocusInWindow();
    
    // Display window and give focus to the viewer (for key events)
    //frame.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
    frame.getContentPane().add(world, BorderLayout.CENTER);

    frame.pack();
    frame.setVisible(true);
  }
  
  public void init()
  {
  }
  public void start()
  {
    world.go();
  }
  public void run()
  {
  }
}