public class CChaffWeapon extends CWeapon
{
  protected int HEAT = 12;
  
  public CChaffWeapon(CWorld world, Vector pos, Vector vel, Vector acc)
  {
    super(world, pos, vel, acc);
    ammoLeft = 100;
  }
  
  public void fire(Vector aim)
  {
    if(coolDown > 0) return;
    world.addThing(new CChaff(world, pos, aim, CWorld.GRAVITY));
    coolDown += HEAT;
    ammoLeft--;
  }
}