import java.awt.*;

public class CDoodad extends CGameObject
{
  public static final int MAX_AGE = 10;
  private int radius;
  public CDoodad(CWorld world, Vector pos, Vector vel, Vector acc)
  {
    super(world, pos, vel, acc);
    if(pos.y() < 0)
    {
      (this.pos).setY(0);
    }
    radius = 0;
  }
  
  public void update()
  {
    age++;
    radius++;
    if(age > MAX_AGE)
      die();
  }
  
  public void draw(Graphics g)
  {
    g.setColor(Color.ORANGE);
    g.fillOval((int)pos.x()-radius, (int)(world.getHeight()-pos.y())-radius, 2*radius, 2*radius); 
  }
}