import java.awt.*;

public class CLaserWeapon extends CWeapon
{
  public static final int HEAT = 4;
  
  public CLaserWeapon(CWorld world, Vector pos, Vector vel, Vector acc)
  {
    super(world, pos, vel, acc);
    ammoLeft = 10000;
  }
  
  public void fire(Vector aim)
  {
    if(coolDown > 0) return;
    Vector newAim = new Vector(aim);
    newAim = newAim.unitVector();
    newAim.scale(50);
    world.addThing(new CLaser(world, pos, newAim, new Vector()));
    Vector newPos = new Vector(pos);
    newPos.addVector(new Vector(5, 0));
    world.addThing(new CLaser(world, newPos, newAim, new Vector()));
    coolDown += HEAT;
  }
}