import java.awt.*;

public class CMGunWeapon extends CWeapon
{
  public static final int HEAT = 4;
  
  public CMGunWeapon(CWorld world, Vector pos, Vector vel, Vector acc)
  {
    super(world, pos, vel, acc);
    ammoLeft = 1;
  }
   
  public void fire(Vector aim)
  {
    if(coolDown > 0) return;
    world.addThing(new CBullet(world, pos, aim, CWorld.GRAVITY));
    coolDown += HEAT;
  }
}