import java.awt.*;

public class CRocket extends CAmmo
{
  public static final int DAMAGE = 10;
  public CRocket(CWorld world, Vector pos, Vector vel, Vector acc)
  {
    super(world, pos, vel, acc);
  }
  
    
  public void draw(Graphics g)
  {
    g.setColor(Color.BLUE);
    g.drawLine((int)pos.x(), (int)(world.getHeight()-pos.y()), (int)(pos.x()+vel.x()), (int)(world.getHeight()-(pos.y()+vel.y())));
  }
  
  public void die()
  {
    Vector v = new Vector(pos.unitVector());
    for(int i=0; i<6; i++)
    {
      v.setLength(8);
      world.addThing(new CBullet(world, pos, v, CWorld.GRAVITY));
      v.rotate(Math.PI/3.0);
    }
    world.removeThing(this);
  }
}