public abstract class CWeapon extends CGameObject
{
  protected int ammoLeft;
  protected int HEAT = 50;
  protected int coolDown;
  
  abstract void fire(Vector aim);
  
  public CWeapon(CWorld world, Vector pos, Vector vel, Vector acc)
  {
    super(world, pos, vel, acc);
    coolDown = 0;
  }

  public void addAmmo(int ammo)
  {
    ammoLeft += ammo;
  }
  
  public void update()
  {
    if(coolDown > 0)
      coolDown--;
  }
  
  public int getAmmo()
  {
    return ammoLeft;
  }
}